PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List customers GETCreate a customer POSTGet a customer GETUpdate a customer PATCHDelete a customer DELETE
Customers

Update a customer

PATCH
/customers/{customerId}

Authorization

x-api-key<token>

In: header

Path Parameters

customerId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/customers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "name": "string",    "email": "string",    "phone": "string",    "company": "string",    "role": "string",    "typeIds": [      "string"    ],    "types": [      {        "id": "string",        "name": "string",        "color": "string",        "icon": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get a customer GET

Previous Page

Delete a customer DELETE

Next Page

name?string
email?string
company?string
phone?string
typeIds?array<string>